0

This question already has an answer here:

How can I install PHP5.3 on my ubuntu 14.04 server?

apt-cache showpkg php5

shows no 5.3 versions.

I tried to install them using the example from this post (using 3.13 for my ubuntu version) but apt-get says the version doesn't exist.

How to downgrade from PHP 5.4 to 5.3

Also tried downloading 5.3 from php.net and compiling but received compile errors. Any other ideas?

marked as duplicate by saji89, karel, Eric Carvalho, Charles Green, v2r Dec 30 '14 at 20:51

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

0

Save yourself the misery & switch back to 12.04 -

From your comments I understand that you have a project using PHP 5.3, from my experience, I had the same issue when I moved to 14.04. All my CakePHP projects failed to work. All the suggestions given here do work, I was able to install PHP 5.3 by manually building it as answered by @raaz. But trust me even if you successfully install PHP 5.3 it will have a lot of dependency issues with other packages & services like apache, mysql etc. I wasted 2 days in trying to make things work, but finally I switched back to 12.04.

Note:- For the question that you have asked i.e how to install PHP 5.3 in Ubuntu 14.04, the above methods will help you do that. But it won't solve your purpose i.e of making your application work seamlessly.

Also Refer - Installing PHP 5.3 in Ubuntu 14.04

0

Try the following commands in terminal(Ctrl+Alt+T)

sudo -i
wget http://in1.php.net/distributions/php-5.3.29.tar.bz2
tar -xvf php-5.3.29.tar.bz2
cd php-5.3.29
./configure
make
make install

Not the answer you're looking for? Browse other questions tagged or ask your own question.